<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingHorizontal="@dimen/dp_20">

        <LinearLayout
            android:id="@+id/switchButtonLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_10">

            <TextView
                android:id="@+id/deviceStateButton"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:fontFamily="sans-serif-medium"
                android:text="开机"
                android:textSize="@dimen/sp_16" />

            <RadioButton
                android:id="@+id/turnOffRadioButton"
                android:layout_width="@dimen/titleViewHeight"
                android:layout_height="@dimen/titleViewHeight"
                android:background="@drawable/selector_turn_off_radio_button"
                android:button="@null"
                android:gravity="center" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/modeLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_10">

            <RadioGroup
                android:id="@+id/speedModeRadioGroup"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/lowSpeedRadioButton"
                    android:layout_width="@dimen/titleViewHeight"
                    android:layout_height="@dimen/titleViewHeight"
                    android:background="@drawable/selector_low_speed_radio_button"
                    android:button="@null"
                    android:gravity="center" />

                <RadioButton
                    android:id="@+id/highSpeedRadioButton"
                    android:layout_width="@dimen/titleViewHeight"
                    android:layout_height="@dimen/titleViewHeight"
                    android:layout_marginHorizontal="@dimen/dp_60"
                    android:background="@drawable/selector_high_speed_radio_button"
                    android:button="@null"
                    android:gravity="center" />

                <RadioButton
                    android:id="@+id/maxSpeedRadioButton"
                    android:layout_width="@dimen/titleViewHeight"
                    android:layout_height="@dimen/titleViewHeight"
                    android:background="@drawable/selector_max_speed_radio_button"
                    android:button="@null"
                    android:gravity="center" />
            </RadioGroup>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_5"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="@dimen/titleViewHeight"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="低档"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="@dimen/titleViewHeight"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_60"
                    android:gravity="center"
                    android:text="高档"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="@dimen/titleViewHeight"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="爆炒"
                    android:textSize="@dimen/sp_14" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_10">

            <LinearLayout
                android:id="@+id/cleanLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/dp_5"
                android:layout_weight="1"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_20"
                android:paddingVertical="@dimen/dp_10">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_edit" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="清洁"
                    android:textSize="13sp" />

                <Switch
                    android:id="@+id/cleanSwitch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/select_switch_circle"
                    android:track="@drawable/select_switch_background"
                    tools:ignore="UseSwitchCompatOrMaterialXml" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/lightLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_5"
                android:layout_weight="1"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_20"
                android:paddingVertical="@dimen/dp_10">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_edit" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="照明"
                    android:textSize="13sp" />

                <Switch
                    android:id="@+id/lightSwitch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/select_switch_circle"
                    android:track="@drawable/select_switch_background"
                    tools:ignore="UseSwitchCompatOrMaterialXml" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/cruiseLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/dp_5"
                android:layout_weight="1"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_20"
                android:paddingVertical="@dimen/dp_10">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_edit" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="巡航"
                    android:textSize="13sp" />

                <Switch
                    android:id="@+id/cruiseSwitch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/select_switch_circle"
                    android:track="@drawable/select_switch_background"
                    tools:ignore="UseSwitchCompatOrMaterialXml" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/delayLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_5"
                android:layout_weight="1"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_20"
                android:paddingVertical="@dimen/dp_10">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_edit" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="延时开关"
                    android:textSize="13sp" />

                <Switch
                    android:id="@+id/delayTurnOffSwitch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/select_switch_circle"
                    android:track="@drawable/select_switch_background"
                    tools:ignore="UseSwitchCompatOrMaterialXml" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ventilateLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_10">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_edit" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="假日通风"
                android:textSize="@dimen/sp_14" />

            <Switch
                android:id="@+id/ventilateSwitch"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:thumb="@drawable/select_switch_circle"
                android:track="@drawable/select_switch_background"
                tools:ignore="UseSwitchCompatOrMaterialXml" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ventilateTimeLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_10">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_edit" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="通风时长"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/ventilateTimeView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="right"
                android:textColor="@color/hintTextColor"
                android:textSize="@dimen/sp_14" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_right" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/antiPourDownLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_20"
            android:paddingVertical="@dimen/dp_10">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_edit" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"

                android:layout_weight="1"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="防倒灌"
                    android:textSize="@dimen/sp_14" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:text="7:00-8:00/11:00-12:00/18:00-20:00"
                    android:textColor="@color/hintTextColor"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>

            <Switch
                android:id="@+id/antiPourDownSwitch"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:thumb="@drawable/select_switch_circle"
                android:track="@drawable/select_switch_background"
                tools:ignore="UseSwitchCompatOrMaterialXml" />
        </LinearLayout>
    </LinearLayout>
</androidx.core.widget.NestedScrollView>
